From 6073a6a016608b08a65abfcc73bf2a3370e6411b Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Wed, 23 Apr 2025 09:30:37 +1000
Subject: [PATCH v1] DOCS - create publication for table

---
 doc/src/sgml/ref/create_publication.sgml | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

diff --git a/doc/src/sgml/ref/create_publication.sgml b/doc/src/sgml/ref/create_publication.sgml
index 73f0c8d..f295dd1 100644
--- a/doc/src/sgml/ref/create_publication.sgml
+++ b/doc/src/sgml/ref/create_publication.sgml
@@ -89,12 +89,14 @@ CREATE PUBLICATION <replaceable class="parameter">name</replaceable>
 
      <para>
       When a column list is specified, only the named columns are replicated.
-      The column list can contain stored generated columns as well. If no
-      column list is specified, all table columns (except generated columns)
-      are replicated through this publication, including any columns added
-      later. It has no effect on <literal>TRUNCATE</literal> commands. See
+      Stored generated columns may be included in the list. Specifying a column
+      list has no effect on <literal>TRUNCATE</literal> commands. See
       <xref linkend="logical-replication-col-lists"/> for details about column
-      lists.
+      lists. If no column list is specified, all table columns are replicated
+      through this publication, including any columns added later. Generated
+      columns are included in this case only if
+      <literal>publish_generated_columns</literal> is set to
+      <literal>stored</literal>.
      </para>
 
      <para>
-- 
1.8.3.1

